﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;

namespace XamTreeGridKVPCase
{
    public class ViewModel
    {
        public List<CustomKVP> Data { get; set; }

        

        public ViewModel()
        {                        
            Data = new List<CustomKVP>();

            for (int i = 0; i < 5; i++)
            {
                List<SampleData> newList = new List<SampleData>();
                for(int j=0; j<3; j++)
                {
                    newList.Add(new SampleData() { ID = j, Name = "Name" + j.ToString() });
                }

                Data.Add(new CustomKVP("Key " + i.ToString(), newList));
            }
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Name { get; set; }
    }

    public class CustomKVP
    {
        public string Key { get; set; }        
        public int? ID { get; set; }
        public string Name { get; set; }
        public List<SampleData> Value { get; set; }

        public CustomKVP(string key, List<SampleData> val)
        {
            Value = val;
            Key = key;

            ID = null;
            Name = string.Empty;
        }
    }
}
